Update requirements for Canadian NETePay: TLS 1.2, SHA-2, and MasterCard series 2 BIN range support

What is this all about?

Mastercard BIN Range Changes in Canada

More than likely, your merchants have received letters from their banks/processors notifying them of Security Updates, Shut-Off Dates, and Required Action Steps. These notifications are unique and independent of EMV standards. Failure to prepare won’t result in a shift in liability; it will result in a complete disruption of service. Please read below to ensure that you and your merchants are prepared to avoid a shut-down in processing.
 

WHAT IS THIS ALL ABOUT?

The entire industry is shifting to newer security protocols. Previously used SHA-1 and TLS 1.0/SSL 3 have proven to be vulnerable to certain attacks. SHA-1 certificates are scheduled to expire and processors are migrating to SHA-2 and TLS 1.2. Deadlines vary by processor and are subject to change at their discretion.

As of January, 2017, card issuers can issue a new version of MasterCard. Pull out your wallet and you’ll see that the account number on your card starts with a “5”. The first six digits of your account number, otherwise known as the Bank Identification Number (BIN) determine how transactions are routed and identify your issuing bank.

Rather than a “5”, MasterCard will assign certain issuing institutions a BIN Range starting with “2”. Acquirers, Processors, Issuers, and Merchants’ Payment Applications need to be able to accommodate the new BIN Range. 

Payment Applications also need to allow for the change. Datacap has been working to update these applications so that you are prepared for new cards that will be issued in 2017. Please update in a timely manner to avoid any fees associated with MasterCard compliance programs.

What do I need to do?

Datacap has updated our payment applications to support TLS 1.2, SHA-2 and the new MasterCard BIN 2 range. See below to determine if your Canadian merchants using NETePay and dsiEMVClientX® will be affected.

Chase Paymentech Canada: v5.03

Version 5.03 and above installed after April 4, 2017

  •   No Action Required

Version 5.03 installed before April 4, 2017

  •  Close the batch, Uninstall NETePay, and re-install version 5.03 (no upgrade fees)

Global Payments Canada: v5.06.10

Version 5.06.10 and above installed after March 28, 2017

  •   No Action Required

Version 5.05.06 or earlier

  •  Upgrade to latest version of NETePay via PSCS. Standard Upgrade Rates Apply

Moneris: v5.06.10

Everyone must upgrade to 5.06.10 because of a gateway URL change required by Moneris.  

Version 5.05.05

  •   Upgrade to latest version of NETePay via PSCS. Standard Upgrade Rates Apply

Version 5.03

  •   Upgrade to latest version of NETePay via PSCS. Standard Upgrade Rates Apply

Vantiv Integrated Payments Canada: v5.05.06

Version 5.06.10 and above installed after January 27, 2017

  •   No Action Required

Version 5.05.06 installed before February 17, 2017

  •  Close the batch, Uninstall NETePay, and re-install version 5.05.06 (no upgrade fees)
  •  Or upgrade to latest version of NETePay via PSCS. Standard Upgrade Rates Apply.

 

For more information, 

 

For US Merchants:


Related Articles: